//
// List
//

.list-dot{
    li{
        position: relative;
        padding-left: rem(8);
        line-height: 150%;

        &::before{
            content: '';
            display: inline-block;
            position: absolute;
            top: rem(8);
            left: 0;
            width: rem(3);
            height: rem(3);
            border-radius: 50%;
            background-color: $grey700;
        }
    }
}

.file-list{
    a{
        color: $secondary500 !important;
        text-decoration: underline;
    }
}

//
// Chips
//

.chips{
    display: inline-block;
    vertical-align: middle;

    li{
        display: inline-block;
        padding: rem(2);
        height: rem(24);
        width: max-content;
        margin-bottom: rem(4);
        background: $grey100;
        border-radius: rem(14);
        line-height: rem(20);

        &.block{
            display: block;
        }

        span{
            font-size: rem(12);
            padding :0 rem(6);
            line-height: rem(16);
            min-width: rem(36);
            text-align: center;
            white-space: nowrap;

            &.round{
                width: rem(20);
                height: rem(20);
                min-width: auto;
                padding: rem(5);
                margin-right: rem(2);
                border-radius: 10px;
                vertical-align: top;
                overflow: hidden;
                color: $white;
                font-size: rem(11);
                text-align: center;
                line-height: 1;
                background: $secondary;

                &.avatar{
                    position: relative;
                    background: $white url(../img/ico-avatar.png) no-repeat center;
                    img{
                        width: rem(24);
                        height: rem(24);
                        position: absolute;
                        top: 50%;
                        left: 50%;
                        transform: translate(-50%,-50%);
                    }
                    &.grey{
                        background: $white url(../img/ico-avatar-grey.png) 
                    }
                }
                & + span{
                    padding: 0 rem(10) 0 0;
                }
            }
        }
        .btn-del{
            margin: 0 rem(1);
        }
    }
   .more-chips{
        display: inline-block;
        cursor: pointer;
        padding: rem(2) rem(6);
        height: rem(24);
        width: max-content;
        min-width: rem(36);
        
        margin-bottom: rem(4);
        background: $grey100;
        border-radius: rem(14);
        line-height: rem(20);
        font-size: rem(12);
        
        text-align: center;
        white-space: nowrap;
   }
}

.action-chip-wrap{
    .action-chip{
        display: inline-block;
        padding: rem(2);
        height: rem(24);
        margin: rem(2) 0; 
        background: $grey100;
        border-radius: rem(14) !important;
        line-height: rem(16);
        border: 0;

        &.block{
            display: block;
            width: fit-content;
        }

        &:hover,
        &.wj-state-focus{
            background: $grey700;

            .wj-input-group {
                .wj-form-control{
                    span{
                        color: $white;
                    }
                }
            }
            
        }

        &.wj-control {
            .wj-input-group {
                .wj-form-control{
                    padding: 0;
                    span{
                        font-size: rem(12);
                        line-height: rem(20);
                        min-width: rem(36);
                        text-align: center;
                        white-space: nowrap;
            
                        &.round{
                            width: rem(20);
                            height: rem(20);
                            min-width: auto;
                            padding: rem(5);
                            margin-right: rem(2);
                            border-radius: 10px;
                            vertical-align: top;
                            overflow: hidden;
                            color: $white;
                            text-align: center;
                            line-height: 1;
                            background: $secondary;
            
                            &.avatar{
                                position: relative;
                                background: $white url(../img/ico-avatar.png) no-repeat center;
                                img{
                                    width: rem(24);
                                    height: rem(24);
                                    position: absolute;
                                    top: 50%;
                                    left: 50%;
                                    transform: translate(-50%,-50%);
                                }
                                &.grey{
                                    background: transparent url(../img/ico-avatar-grey.png) no-repeat center;
                                }
                            }
                            & + span{
                                padding: 0 rem(10) 0 0;
                            }
                        }
                    }
                }
                .wj-input-group-btn{
                    display: none;
                }
            }
        }
    }

    &.no-action{
        .action-chip{
            &:hover,
            &.wj-state-focus{
                background-color: #F1F4F3;

                .wj-input-group{
                    .wj-form-control span{
                        color: $black;
                    }
                }
            }
        }
    }
}

.user-list{
    display: flex;
    align-items: center;

    span{
        &.photo{
            width: rem(30);
            height: rem(30);
            margin-right: rem(6);
            border-radius: 50%;
            overflow: hidden;
            img{
                width: 100%;
            }
        }
        span{
            display: block;
            margin: rem(6) 0;
        }
    }
}


//
//Listbox (wijmo override)
//
.wj-listbox.wj-menu-items {
    margin-top: rem(2);
    min-width: rem(140) !important;
    padding: rem(8) 0;
    background-color: $white !important;
    border: 1px solid $grey300;
    box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.17), 0px 4px 5px rgba(0, 0, 0, 0.11);
    border-radius: 2px;

    .wj-listbox-item{
        &:not(.wj-state-selected){
            &:not(.wj-state-disabled){
                
                &:not(.wj-separator){
                    padding: rem(6) rem(8);
                    background-color: $white;
                    color: $black;

                    a{
                        &:hover{
                            color: $black;
                        }
                    }
                    &:hover{
                        background-color: $secondary50
                    }
                }
            }
           
        }
    }
}

//
// Flexbox
//

.flex-box-wrap{
    display: flex;
    align-items: center;
    .flex-box{
        padding: 28px 32px;
        border: 1px solid $grey200;
        box-shadow: 0px 0px 1px rgba(0, 0, 0, 0.11), 0px 1px 3px rgba(0, 0, 0, 0.08);
        border-radius: 4px;
        align-self: stretch;
    }
}

//
// status
//
.sf-status{
    .status-label{
        font-size: rem(12);
    }
}
.circle-status {
    margin: 0 rem(5);
    width: rem(13);
    height: rem(13);
    border-radius: 50%;
    vertical-align: middle;
    

    &:hover:not(.custom-checkbox .circle-status, .sf-status .circle-status, .popover .circle-status){
        cursor: pointer;
        opacity: .8;
        width: rem(15);
        height: rem(15);
        transition: all 0.1s ease-in;
    }

    &.confirmed {
        background-color: $confirmed;
    }
    &.warning {
        background-color: $warning;
    }
    &.error {
        background-color: $error;
    }
    &.done,
    &.dimmed {
        background-color: $done;
    }
    &.planning {
        background-color: $white;
        border: 1px solid $grey400;
    }
    //230725
    &.settle {
        background-color: $confirmed300;
        border: 1px solid #01463A;
    }
    
}

//
// Tag
//

.tag{
    height: rem(20);
    padding: rem(1) rem(4);
    margin: 0 rem(2);
    font-weight: $medium;
    font-size: rem(12);
    line-height: 1.5;
    border-radius: rem(2);
    border-width: rem(1);
    border-style: solid;
    white-space: nowrap;

    &.green{
        color: #01463A;
        border-color: #56D8AA;
        background-color: #DCFBEA;
    }

    &.red{
        color: #B32542;
        border-color: #FDA293;
        background-color: #FEE6DB;
    }

    &.lime{
        color: $lime800;
        border-color: $lime400;
        background-color: $lime100;
    }

    &.blue{
        color: $Deepblue500;
        border-color: $Deepblue300;
        background-color: $Deepblue100;
    }

    &.lightblue{
        color: $Lightblue700;
        border-color: $Lightblue400;
        background-color: $Lightblue100;
    }
}

//
// Level
//

.level{
    width: rem(32);
    height: rem(20);
    padding: rem(1) rem(4);
    border-width: rem(1);
    border-style: solid;
    border-radius: rem(2);
    font-size: rem(12);
    line-height: rem(18);
    text-align: center;
    
    &.level1{
        background-color: $lime300;
        border-color: $lime600;
        color: $lime900;
    }
    &.level2{
        background-color: $Deepblue100;
        border-color: $Deepblue700;
        color: $Deepblue700;
    }
    &.level3{
        background-color: $Lightblue100;
        border-color: $Lightblue600;
        color: $Lightblue800;
    }
    &.level4{
        background-color: $Pink100;
        border-color: $Pink400;
        color: $Pink700;
    }
    &.level5{
        background-color: $Pink300;
        border-color: $Pink600;
        color: $Pink800;
    }
}



//
// modal
//
.modal a.close-modal{
    display: none !important;
  }


//
// List group (bootstrap overriding)
//
.list-group{
    .list-group-item{
        height: rem(40);
        line-height: rem(22);
        border: 0;
        background-color: $grey100;
        margin: rem(3) 0;
        border-radius: rem(4);
        padding: rem(8);

        &.active{
            border: 0;
            background-color: $grey100;
        }

        button{
            vertical-align: 8px;
        }
       .list-item-txt{
            display: inline-block;
            width: calc(100% - 75px);
            text-overflow: ellipsis;
            white-space: nowrap;
            overflow: hidden;
            font-weight: $bold;
       }

       .wj-labeled-input{
            position: absolute;
            top: rem(8);
            right: rem(12);
       }
    }
}


//
// Tree (Wijmo overriding)
//
.sf-tree-wrap{
    height: 100%;
    padding: rem(10) 0;
    border: 1px solid $grey300;
    overflow-y: auto;
    .wj-treeview{
        .wj-nodelist{
           & > .wj-nodelist{
                padding-left: 0;
                & > .wj-nodelist{
                    padding-left: 0;
                    & > .wj-nodelist{
                        padding-left: 0;
                        .wj-node{
                            .wj-node-text{
                                margin-left: rem(48);
                            }
                            &::before{
                                left: rem(36);
                            }
                        }
                    }
                    .wj-node{
                        .wj-node-text{
                            margin-left: rem(32);
                        }
                        &::before{
                            left: rem(24);
                        }
                    }
                }
                .wj-node{
                    .wj-node-text{
                        margin-left: rem(16);
                    }
                    &::before{
                        left: rem(12);
                    }
                }
            }
            .wj-node{
                padding: 4px 15px 3px;
                line-height: rem(28);
                position: relative;

                &::before{
                    width: rem(4);
                    height: rem(10);
                    border: 0;
                    background: url(../img/ico-tree.png) no-repeat left center;
                    top: 0;
                    left: rem(-4);
                    margin-right: rem(6);
                }

                //230720
                &.wj-state-selected{
                    background-color: $secondary100;
                    &:after{
                        content: '';
                        display: block;
                        width: 5px;
                        height: 100%;
                        position: absolute;
                        left: 0;
                        top: 0;
                        background-color: $secondary300;
                    }
                }

                &:hover{ //230720
                    background-color: $secondary100;
                    // border-left: 5px solid $secondary300; 230720
                    // text-indent: -2px; 230720

                    &::before{
                        transform: rotate(90deg);
                    }
                }
                &.wj-state-collapsed:before{
                    transform: inherit;
                }
            }
        }
    }
}

//
//split-wrapper
//
.split-wrapper{
    position: relative;
    width: 100%;
    overflow: hidden;
    .split{
        &.left{
            width: 100%;
            float: left;
            &.splitted{
                width: calc(100% - 550px);
                .hide{
                    display: none;
                }
            }
        }
        &.right{
            display:none;
            opacity: 0;
            width: 525px;
            float: right;
            height: 670px;
            &.splitted{
                display: block;
                opacity: 1;
                
            }
            .form-box-wrap{
                margin-bottom: 0;
                height: 100%;
            }
            
        }
    }
    
}


//
//sf-grid
//
.sf-grid{
    & + &,
    div + &,
    table + &{
        margin-top: 20px;
    }
}